module.exports = {
  prod: {
    //user
    'user/index': './js/user/index.js',
    'user/login': './js/user/login.js',
    'user/signIn': './js/user/signIn.js',
    'user/certify': './js/user/certify.js',
    'user/groupCertify': './js/user/groupCertify.js',
    'user/subscriberDetail': './js/user/subscriberDetail.js',
    //user-account
    'user/account/index': './js/user/account/index.js',
    'user/account/set': './js/user/account/set.js',
    'user/account/services': './js/user/account/services.js',
    'user/account/achievement': './js/user/account/achievement.js',
    'user/account/demand': './js/user/account/demand.js',
    //admin
    'admin/index': './js/admin/index.js',
    'admin/login': './js/admin/login.js',
    'admin/set': './js/admin/set.js',
    'admin/userManage': './js/admin/userManage.js',
    //admin-servicesManage
    'admin/servicesManage/contract': './js/admin/servicesManage/contract.js',
    'admin/servicesManage/patent': './js/admin/servicesManage/patent.js',
    'admin/servicesManage/copyright': './js/admin/servicesManage/copyright.js',
    'admin/servicesManage/highTech': './js/admin/servicesManage/highTech.js',
    'admin/servicesManage/highTechInfo': './js/admin/servicesManage/highTechInfo.js',
    'admin/servicesManage/technology': './js/admin/servicesManage/technology.js',
    //admin/demand
    'admin/demand': './js/admin/demand.js',
    'admin/achievement': './js/admin/achievement.js',
    //portal  门户
    'portal/search/demand': './js/portal/search/demand.js',
    'portal/search/achievement': './js/portal/search/achievement.js',
    'portal/search/subscriber': './js/portal/search/subscriber.js'
  },
  watch: {
    'user/index': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/user/index.js'
    ],
    'user/login': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/user/login.js'
    ],
    'user/signIn': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/user/signIn.js'
    ],
    'user/certify': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/user/certify.js'
    ],
    'user/groupCertify': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/user/groupCertify.js'
    ],
    'user/subscriberDetail': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/user/subscriberDetail.js'
    ],
    //user-account
    'user/account/index': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/user/account/index.js'
    ],
    'user/account/set': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/user/account/set.js'
    ],
    'user/account/services': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/user/account/services.js'
    ],
    'user/account/achievement': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/user/account/achievement.js'
    ],
    'user/account/demand': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/user/account/demand.js'
    ],
    //admin
    'admin/index': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/admin/index.js'
    ],
    'admin/login': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/admin/login.js'
    ],
    'admin/userManage': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/admin/userManage.js'
    ],
    'admin/demand': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/admin/demand.js'
    ],
    'admin/achievement': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/admin/achievement.js'
    ],
    'admin/set': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/admin/set.js'
    ],
    //admin-servicesManage
    'admin/servicesManage/contract': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/admin/servicesManage/contract.js'
    ],
    'admin/servicesManage/patent': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/admin/servicesManage/patent.js'
    ],
    'admin/servicesManage/copyright': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/admin/servicesManage/copyright.js'
    ],
    'admin/servicesManage/highTech': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/admin/servicesManage/highTech.js'
    ],
    'admin/servicesManage/highTechInfo': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/admin/servicesManage/highTechInfo.js'
    ],
    'admin/servicesManage/technology': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/admin/servicesManage/technology.js'
    ],
    //portal  门户
    'portal/search/demand': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/portal/search/demand.js'
    ],
    'portal/search/achievement': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/portal/search/achievement.js'
    ],
    'portal/search/subscriber': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/portal/search/subscriber.js'
    ]
  }
}