const techFieldArr = [{
    value: 1,
    label: "电子信息",
    children: [{
        value: 10,
        label: "软件",
        children: [{
            value: 18,
            label: "基础软件"
        }, {
            value: 19,
            label: "嵌入式软件"
        }, {
            value: 20,
            label: "计算机辅助设计与辅助工程管理软件"
        }, {
            value: 21,
            label: "中文及多语种处理软件"
        }, {
            value: 22,
            label: "图形和图像处理软件"
        }, {
            value: 23,
            label: "地理信息系统（ GIS） 软件"
        }, {
            value: 24,
            label: "电子商务软件"
        }, {
            value: 25,
            label: "电子政务软件"
        }, {
            value: 26,
            label: "企业管理软件"
        }, {
            value: 27,
            label: "物联网应用软件"
        }, {
            value: 28,
            label: "云计算与移动互联网软件"
        }, {
            value: 29,
            label: "Web服务与集成软件"
        }]
    }, {
        value: 11,
        label: "微电子技术",
        children: [{
            value: 30,
            label: "集成电路设计技术"
        }, {
            value: 31,
            label: "集成电路产品设计技术"
        }, {
            value: 32,
            label: "集成电路封装技术"
        }, {
            value: 33,
            label: "集成电路测试技术"
        }, {
            value: 34,
            label: "集成电路芯片制造工艺技术"
        }, {
            value: 35,
            label: "集成光电子器件设计、制造与工艺技术"
        }]
    }, {
        value: 12,
        label: "计算机产品及其网络应用技术",
        children: [{
            value: 36,
            label: "计算机及终端设计与制造技术"
        }, {
            value: 37,
            label: "计算机外围设备设计与制造技术"
        }, {
            value: 38,
            label: "网络设备设计与制造技术"
        }, {
            value: 39,
            label: "网络应用技术"
        }]
    }, {
        value: 13,
        label: "通信技术",
        children: [{
            value: 40,
            label: "通信网络技术"
        }, {
            value: 41,
            label: "光传输系统技术"
        }, {
            value: 42,
            label: "有线宽带接入系统技术"
        }, {
            value: 43,
            label: "移动通信系统技术"
        }, {
            value: 44,
            label: "宽带无线通信系统技术"
        }, {
            value: 45,
            label: "卫星通信系统技术"
        }, {
            value: 46,
            label: "微波通信系统技术"
        }, {
            value: 47,
            label: "物联网设备、部件及组网技术"
        }, {
            value: 48,
            label: "电信网络运营支撑管理技术"
        }, {
            value: 49,
            label: "电信网与互联网增值业务应用技术"
        }]
    }, {
        value: 14,
        label: "广播影视技术",
        children: [{
            value: 50,
            label: "广播电视节目采编播系统技术"
        }, {
            value: 51,
            label: "广播电视业务集成与支撑系统技术"
        }, {
            value: 52,
            label: "有线传输与覆盖系统技术"
        }, {
            value: 53,
            label: "无线传输与覆盖系统技术"
        }, {
            value: 54,
            label: "广播电视监测监管、安全运行与维护系统技术"
        }, {
            value: 55,
            label: "数字电影系统技术"
        }, {
            value: 56,
            label: "数字电视终端技术"
        }, {
            value: 57,
            label: "专业视频应用服务平台技术"
        }, {
            value: 58,
            label: "音响、光盘技术"
        }]
    }, {
        value: 15,
        label: "新型电子元器件",
        children: [{
            value: 59,
            label: "半导体发光技术"
        }, {
            value: 60,
            label: "片式和集成无源元件"
        }, {
            value: 61,
            label: "大功率半导体器件"
        }, {
            value: 62,
            label: "专用特种器件"
        }, {
            value: 63,
            label: "敏感元器件与传感器"
        }, {
            value: 64,
            label: "中高档机电组件"
        }, {
            value: 65,
            label: "平板显示器件"
        }]
    }, {
        value: 16,
        label: "信息安全技术",
        children: [{
            value: 66,
            label: "密码技术"
        }, {
            value: 67,
            label: "认证授权技术"
        }, {
            value: 68,
            label: "系统与软件安全技术"
        }, {
            value: 69,
            label: "网络与通信安全技术"
        }, {
            value: 70,
            label: "安全保密技术"
        }, {
            value: 71,
            label: "安全测评技术"
        }, {
            value: 72,
            label: "安全管理技术"
        }, {
            value: 73,
            label: "应用安全技术"
        }]
    }, {
        value: 17,
        label: "智能交通和轨道交通技术",
        children: [{
            value: 74,
            label: "交通控制与管理技术"
        }, {
            value: 75,
            label: "交通基础信息采集、处理技术"
        }, {
            value: 76,
            label: "交通运输运营管理技术"
        }, {
            value: 77,
            label: "车、船载电子设备技术"
        }, {
            value: 78,
            label: "轨道交通车辆及运行保障技术"
        }, {
            value: 79,
            label: "轨道交通运营管理与服务技术"
        }]
    }]
}, {
    value: "2",
    label: "生物与新医药",
    children: [{
        value: "80",
        label: "医药生物技术",
        children: [{
            value: "87",
            label: "新型疫苗"
        }, {
            value: "88",
            label: "生物治疗技术和基因工程药物"
        }, {
            value: "89",
            label: "快速生物检测技术"
        }, {
            value: "90",
            label: "生物大分子类药物研发技术"
        }, {
            value: "91",
            label: "天然药物生物合成制备技术"
        }, {
            value: "92",
            label: "生物分离介质、试剂、装置及相关检测技术"
        }]
    }, {
        value: "81",
        label: "中药、天然药物",
        children: [{
            value: "93",
            label: "中药资源可持续利用与生态保护技术"
        }, {
            value: "94",
            label: "创新药物研发技术"
        }, {
            value: "95",
            label: "中成药二次开发技术"
        }, {
            value: "96",
            label: "中药质控及有害物质检测技术"
        }]
    }, {
        value: "82",
        label: "化学药研发技术",
        children: [{
            value: "97",
            label: "创新药物技术"
        }, {
            value: "98",
            label: "手性药物创制技术"
        }, {
            value: "99",
            label: "晶型药物创制技术"
        }, {
            value: "100",
            label: "国家基本药物生产技术"
        }, {
            value: "101",
            label: "国家基本药物原料药和重要中间体的技术"
        }]
    }, {
        value: "83",
        label: "药物新剂型与制剂创制技术",
        children: [{
            value: "102",
            label: "创新制剂技术"
        }, {
            value: "103",
            label: "新型给药制剂技术"
        }, {
            value: "104",
            label: "制剂新辅料开发及生产技术"
        }, {
            value: "105",
            label: "制药装备技术"
        }]
    }, {
        value: "84",
        label: "医疗仪器、设备与医学专用软件",
        children: [{
            value: "106",
            label: "医学影像诊断技术"
        }, {
            value: "107",
            label: "新型治疗、急救与康复技术"
        }, {
            value: "108",
            label: "新型电生理检测和监护技术"
        }, {
            value: "109",
            label: "医学检验技术及新设备"
        }, {
            value: "110",
            label: "医学专用网络新型软件"
        }, {
            value: "111",
            label: "医用探测及射线计量检测技术"
        }]
    }, {
        value: "85",
        label: "轻工和化工生物技术",
        children: [{
            value: "112",
            label: "高效工业酶制备与生物催化技术"
        }, {
            value: "113",
            label: "微生物发酵技术"
        }, {
            value: "114",
            label: "生物反应及分离技术"
        }, {
            value: "115",
            label: "天然产物有效成份的分离提取技术"
        }, {
            value: "116",
            label: "食品安全生产与评价技术"
        }, {
            value: "117",
            label: "食品安全检测技术"
        }]
    }, {
        value: "86",
        label: "农业生物技术",
        children: [{
            value: "118",
            label: "农林植物优良新品种与优质高效安全生产技术"
        }, {
            value: "119",
            label: "畜禽水产优良新品种与健康养殖技术"
        }, {
            value: "120",
            label: "重大农林生物灾害与动物疫病防控技术"
        }, {
            value: "121",
            label: "现代农业装备与信息化技术"
        }, {
            value: "122",
            label: "农业面源和重金属污染农田综合防治与修复技术"
        }]
    }]
}, {
    value: "3",
    label: "航空航天",
    children: [{
        value: "123",
        label: "航空技术",
        children: [{
            value: "125",
            label: "飞行器"
        }, {
            value: "126",
            label: "飞行器动力技术"
        }, {
            value: "127",
            label: "飞行器系统技术"
        }, {
            value: "128",
            label: "飞行器制造与材料技术"
        }, {
            value: "129",
            label: "空中管制技术"
        }, {
            value: "130",
            label: "民航及通用航空运行保障技术"
        }]
    }, {
        value: "124",
        label: "航天技术",
        children: [{
            value: "131",
            label: "卫星总体技术"
        }, {
            value: "132",
            label: "运载火箭技术"
        }, {
            value: "133",
            label: "卫星平台技术"
        }, {
            value: "134",
            label: "卫星有效载荷技术"
        }, {
            value: "135",
            label: "航天测控技术"
        }, {
            value: "136",
            label: "航天电子与航天材料制造技术"
        }, {
            value: "137",
            label: "先进航天动力设计技术"
        }, {
            value: "138",
            label: "卫星应用技术"
        }]
    }]
}, {
    value: "4",
    label: "新材料",
    children: [{
        value: "139",
        label: "金属材料",
        children: [{
            value: "145",
            label: "精品钢材制备技术"
        }, {
            value: "146",
            label: "铝、铜、镁、钛合金清洁生产与深加工技术"
        }, {
            value: "147",
            label: "稀有、稀土金属精深产品制备技术"
        }, {
            value: "148",
            label: "纳米及粉末冶金新材料制备与应用技术"
        }, {
            value: "149",
            label: "金属及金属基复合新材料制备技术"
        }, {
            value: "150",
            label: "半导体新材料制备与应用技术"
        }, {
            value: "151",
            label: "电工、微电子和光电子新材料制备与应用技术"
        }, {
            value: "152",
            label: "超导、高效能电池等其它新材料制备与应用技术"
        }]
    }, {
        value: "140",
        label: "无机非金属材料",
        children: [{
            value: "153",
            label: "结构陶瓷及陶瓷基复合材料强化增韧技术"
        }, {
            value: "154",
            label: "功能陶瓷制备技术"
        }, {
            value: "155",
            label: "功能玻璃制备技术"
        }, {
            value: "156",
            label: "节能与新能源用材料制备技术"
        }, {
            value: "157",
            label: "环保及环境友好型材料技术"
        }]
    }, {
        value: "141",
        label: "高分子材料",
        children: [{
            value: "158",
            label: "新型功能高分子材料的制备及应用技术"
        }, {
            value: "159",
            label: "工程和特种工程塑料制备技术"
        }, {
            value: "160",
            label: "新型橡胶的合成技术及橡胶新材料制备技术"
        }, {
            value: "161",
            label: "新型纤维及复合材料制备技术"
        }, {
            value: "162",
            label: "高分子材料制备及循环再利用技术"
        }, {
            value: "163",
            label: "高分子材料的新型加工和应用技术"
        }]
    }, {
        value: "142",
        label: "生物医用材料",
        children: [{
            value: "164",
            label: "介入治疗器具材料制备技术"
        }, {
            value: "165",
            label: "心脑血管外科用新型生物材料制备技术"
        }, {
            value: "166",
            label: "骨科内置物制备技术"
        }, {
            value: "167",
            label: "口腔材料制备技术"
        }, {
            value: "168",
            label: "组织工程用材料制备技术"
        }, {
            value: "169",
            label: "新型敷料和止血材料制备技术"
        }, {
            value: "170",
            label: "专用手术器械和材料制备技术"
        }, {
            value: "171",
            label: "其他新型医用材料及制备技术"
        }]
    }, {
        value: "143",
        label: "精细和专用化学品",
        children: [{
            value: "172",
            label: "新型催化剂制备及应用技术"
        }, {
            value: "173",
            label: "电子化学品制备及应用技术"
        }, {
            value: "174",
            label: "超细功能材料制备及应用技术"
        }, {
            value: "175",
            label: "精细化学品制备及应用技术"
        }]
    }, {
        value: "144",
        label: "与文化艺术产业相关的新材料",
        children: [{
            value: "176",
            label: "文化载体和介质新材料制备技术"
        }, {
            value: "177",
            label: "艺术专用新材料制备技术"
        }, {
            value: "178",
            label: "影视场景和舞台专用新材料的加工生产技术"
        }, {
            value: "179",
            label: "文化产品印刷新材料制备技术"
        }, {
            value: "180",
            label: "文物保护新材料制备技术"
        }]
    }]
}, {
    value: "5",
    label: "高技术服务",
    children: [{
        value: "181",
        label: "研发与设计服务",
        children: [{
            value: "189",
            label: "研发服务"
        }, {
            value: "190",
            label: "设计服务"
        }]
    }, {
        value: "182",
        label: "检验检测认证与标准服务",
        children: [{
            value: "191",
            label: "检验检测认证技术"
        }, {
            value: "192",
            label: "标准化服务技术"
        }]
    }, {
        value: "183",
        label: "信息技术服务",
        children: [{
            value: "193",
            label: "云计算服务技术"
        }, {
            value: "194",
            label: "数据服务技术"
        }, {
            value: "195",
            label: "其他信息服务技术"
        }]
    }, {
        value: "184",
        label: "高技术专业化服务"
    }, {
        value: "185",
        label: "知识产权与成果转化服务"
    }, {
        value: "186",
        label: "电子商务与现代物流技术",
        children: [{
            value: "196",
            label: "电子商务技术"
        }, {
            value: "197",
            label: "物流与供应链管理技术"
        }]
    }, {
        value: "187",
        label: "城市管理与社会服务",
        children: [{
            value: "198",
            label: "智慧城市服务支撑技术"
        }, {
            value: "199",
            label: "互联网教育"
        }, {
            value: "200",
            label: "健康管理"
        }, {
            value: "201",
            label: "现代体育服务支撑技术"
        }]
    }, {
        value: "188",
        label: "文化创意产业支撑技术",
        children: [{
            value: "202",
            label: "创作、设计与制作技术"
        }, {
            value: "203",
            label: "传播与展示技术"
        }, {
            value: "204",
            label: "文化遗产发现与再利用技术"
        }, {
            value: "205",
            label: "运营与管理技术"
        }]
    }]
}, {
    value: "6",
    label: "新能源与节能",
    children: [{
        value: "206",
        label: "可再生清洁能源",
        children: [{
            value: "210",
            label: "太阳能"
        }, {
            value: "211",
            label: "风能"
        }, {
            value: "212",
            label: "生物质能"
        }, {
            value: "213",
            label: "地热能、海洋能及运动能"
        }]
    }, {
        value: "207",
        label: "核能及氢能",
        children: [{
            value: "214",
            label: "核能"
        }, {
            value: "215",
            label: "氢能"
        }]
    }, {
        value: "208",
        label: "新型高效能量转换与储存技术",
        children: [{
            value: "216",
            label: "高性能绿色电池（组）技术"
        }, {
            value: "217",
            label: "新型动力电池（组）与储能电池技术"
        }, {
            value: "218",
            label: "燃料电池技术"
        }, {
            value: "219",
            label: "超级电容器与热电转换技术"
        }]
    }, {
        value: "209",
        label: "高效节能技术",
        children: [{
            value: "220",
            label: "工业节能技术"
        }, {
            value: "221",
            label: "能量回收利用技术"
        }, {
            value: "222",
            label: "蓄热式燃烧技术"
        }, {
            value: "223",
            label: "输配电系统优化技术"
        }, {
            value: "224",
            label: "高温热泵技术"
        }, {
            value: "225",
            label: "建筑节能技术"
        }, {
            value: "226",
            label: "能源系统管理、优化与控制技术"
        }, {
            value: "227",
            label: "节能监测技术"
        }]
    }]
}, {
    value: "7",
    label: "资源与环境",
    children: [{
        value: "228",
        label: "水污染控制与水资源利用技术",
        children: [{
            value: "236",
            label: "城镇污水处理与资源化技术"
        }, {
            value: "237",
            label: "工业废水处理与资源化技术"
        }, {
            value: "238",
            label: "农业水污染控制技术"
        }, {
            value: "239",
            label: "流域水污染治理与富营养化综合控制技术"
        }, {
            value: "240",
            label: "节水与非常规水资源综合利用技术"
        }, {
            value: "241",
            label: "饮用水安全保障技术"
        }]
    }, {
        value: "229",
        label: "大气污染控制技术",
        children: [{
            value: "242",
            label: "煤燃烧污染防治技术"
        }, {
            value: "243",
            label: "机动车排放控制技术"
        }, {
            value: "244",
            label: "工业炉窑污染防治技术"
        }, {
            value: "245",
            label: "工业有害废气控制技术"
        }, {
            value: "246",
            label: "有限空间空气污染防治技术"
        }]
    }, {
        value: "230",
        label: "固体废弃物处置与综合利用技术",
        children: [{
            value: "247",
            label: "危险固体废弃物处置技术"
        }, {
            value: "248",
            label: "工业固体废弃物综合利用技术"
        }, {
            value: "249",
            label: "生活垃圾处置与资源化技术"
        }, {
            value: "250",
            label: "建筑垃圾处置与资源化技术"
        }, {
            value: "251",
            label: "有机固体废物处理与资源化技术"
        }, {
            value: "252",
            label: "社会源固体废物处置与资源化技术"
        }]
    }, {
        value: "231",
        label: "物理性污染防治技术",
        children: [{
            value: "253",
            label: "噪声、振动污染防治技术"
        }, {
            value: "254",
            label: "核与辐射安全防治技术"
        }]
    }, {
        value: "232",
        label: "环境监测及环境事故应急处理技术",
        children: [{
            value: "255",
            label: "环境监测预警技术"
        }, {
            value: "256",
            label: "应急环境监测技术"
        }, {
            value: "257",
            label: "生态环境监测技术"
        }, {
            value: "258",
            label: "非常规污染物监测技术"
        }]
    }, {
        value: "233",
        label: "生态环境建设与保护技术"
    }, {
        value: "234",
        label: "清洁生产技术",
        children: [{
            value: "259",
            label: "重污染行业生产过程中节水、减排及资源化关键技术"
        }, {
            value: "260",
            label: "清洁生产关键技术"
        }, {
            value: "261",
            label: "环保制造关键技术"
        }]
    }, {
        value: "235",
        label: "资源勘查、高效开采与综合利用技术",
        children: [{
            value: "262",
            label: "资源勘查开采技术"
        }, {
            value: "263",
            label: "提高矿产资源回收利用率的采矿、选矿技术"
        }, {
            value: "264",
            label: "伴生有价元素的分选提取技术"
        }, {
            value: "265",
            label: "低品位资源和尾矿资源综合利用技术"
        }, {
            value: "266",
            label: "放射性资源勘查开发技术"
        }, {
            value: "267",
            label: "放射性废物处理处置技术"
        }, {
            value: "268",
            label: "绿色矿山建设技术"
        }]
    }, ]
}, {
    value: "8",
    label: "先进制造与自动化",
    children: [{
        value: "269",
        label: "工业生产过程控制系统",
        children: [{
            value: "278",
            label: "现场总线与工业以太网技术"
        }, {
            value: "279",
            label: "嵌入式系统技术"
        }, {
            value: "280",
            label: "新一代工业控制计算机技术"
        }, {
            value: "281",
            label: "制造执行系统（MES）技术"
        }, {
            value: "282",
            label: "工业生产过程综合自动化控制系统技术"
        }]
    }, {
        value: "270",
        label: "安全生产技术",
        children: [{
            value: "283",
            label: "矿山安全生产技术"
        }, {
            value: "284",
            label: "危险化学品安全生产技术"
        }, {
            value: "285",
            label: "其它事故防治及处置技术"
        }]
    }, {
        value: "271",
        label: "高性能、智能化仪器仪表",
        children: [{
            value: "286",
            label: "新型传感器"
        }, {
            value: "287",
            label: "新型自动化仪器仪表"
        }, {
            value: "288",
            label: "科学分析仪器/检测仪器"
        }, {
            value: "289",
            label: "精确制造中的测控仪器仪表"
        }, {
            value: "290",
            label: "微机电系统技术"
        }]
    }, {
        value: "272",
        label: "先进制造工艺与装备",
        children: [{
            value: "291",
            label: "高档数控装备与数控加工技术"
        }, {
            value: "292",
            label: "机器人"
        }, {
            value: "293",
            label: "智能装备驱动控制技术"
        }, {
            value: "294",
            label: "特种加工技术"
        }, {
            value: "295",
            label: "大规模集成电路制造相关技术"
        }, {
            value: "296",
            label: "增材制造技术"
        }, {
            value: "297",
            label: "高端装备再制造技术"
        }]
    }, {
        value: "273",
        label: "新型机械",
        children: [{
            value: "298",
            label: "机械基础件及制造技术"
        }, {
            value: "299",
            label: "通用机械装备制造技术"
        }, {
            value: "300",
            label: "极端制造与专用机械装备制造技术"
        }, {
            value: "301",
            label: "纺织及其他行业专用设备制造技术"
        }]
    }, {
        value: "274",
        label: "电力系统与设备",
        children: [{
            value: "302",
            label: "发电与储能技术"
        }, {
            value: "303",
            label: "输电技术"
        }, {
            value: "304",
            label: "配电与用电技术"
        }, {
            value: "305",
            label: "变电技术"
        }, {
            value: "306",
            label: "系统仿真与自动化技术"
        }]
    }, {
        value: "275",
        label: "汽车及轨道车辆相关技术",
        children: [{
            value: "307",
            label: "车用发动机及其相关技术"
        }, {
            value: "308",
            label: "汽车关键零部件技术"
        }, {
            value: "309",
            label: "节能与新能源汽车技术"
        }, {
            value: "310",
            label: "机动车及发动机先进设计、制造和测试平台技术"
        }, {
            value: "311",
            label: "轨道车辆及关键零部件技术"
        }]
    }, {
        value: "276",
        label: "高技术船舶与海洋工程装备设计制造技术",
        children: [{
            value: "312",
            label: "高技术船舶设计制造技术"
        }, {
            value: "313",
            label: "海洋工程装备设计制造技术"
        }]
    }, {
        value: "277",
        label: "传统文化产业改造技术",
        children: [{
            value: "314",
            label: "乐器制造技术"
        }, {
            value: "315",
            label: "印刷技术"
        }]
    }]
}, {
    value: "9",
    label: "其他领域"
}]

module.exports = {
    techFieldList: techFieldArr,
    getTechField: function (field1, field2, field3) {
        let fieldList = [];
        for (let i = 0; i < techFieldArr.length; i++) {
            fieldList.push({
                value: techFieldArr[i].value,
                label: techFieldArr[i].label
            });
            if (techFieldArr[i].children) {
                for (let j = 0; j < techFieldArr[i].children.length; j++) {
                    fieldList.push({
                        value: techFieldArr[i].children[j].value,
                        label: techFieldArr[i].children[j].label
                    });
                    if (techFieldArr[i].children[j].children) {
                        for (let n = 0; n < techFieldArr[i].children[j].children.length; n++) {
                            fieldList.push({
                                value: techFieldArr[i].children[j].children[n].value,
                                label: techFieldArr[i].children[j].children[n].label
                            });
                        }
                    };
                };
            }
        };
        fieldList.sort(function (a, b) {
            return a.value - b.value
        });
        let fieldKey = "";
        fieldList.map(function (item) {
            if (field1 && Number(field1) == item.value) {
                fieldKey = item.label;
            };
            if (field2 == item.value) {
                fieldKey = fieldKey + "/" + item.label;
            };
            if (field3 == item.value) {
                fieldKey = fieldKey + "/" + item.label;
            };
        });
        return fieldKey;
    },
}